Subject: Re: Regression: supported_interfaces filling enforcement

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 13 Jul 2023 16:08:31 +0100

On Mon, Jul 10, 2023 at 03:35:56PM +0300, Vladimir Oltean wrote:
> On Tue, Jul 04, 2023 at 05:28:47PM +0300, Sergei Antonov wrote:
> > Hello!
> > This commit seems to break the mv88e6060 dsa driver:
> > de5c9bf40c4582729f64f66d9cf4920d50beb897    "net: phylink: require
> > supported_interfaces to be filled"
> > 
> > The driver does not fill 'supported_interfaces'. What is the proper
> > way to fix it? I managed to fix it by the following quick code.
> > Comments? Recommendations?
> 
> Ok, it seems that commit de5c9bf40c45 ("net: phylink: require
> supported_interfaces to be filled") was based on a miscalculation.

Yes, it seems so. I'm not great with dealing with legacy stuff - which
is something I've stated time and time again when drivers fall behind
with phylink development. There's only so much that I can hold in my
head, and I can't runtime test the legacy stuff.

I suspect two other DSA drivers are also broken by this:

drivers/net/dsa/dsa_loop.c
drivers/net/dsa/realtek/rtl8366rb.c

based upon:

$ grep -lr dsa_switch_ops drivers/net/dsa | xargs grep -L '\.phylink_get_caps.*=' | xargs grep -L '\.adjust_link'

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!